### 3.7.5 debug.inc

This file contains a set of macros designed to make debugging easier. It also functions like the old debug.inc, with the exception that you have to call the Debug_Inc_Stack() macro to get the include stack output.

`Debug_Inc_Stack()`. Activates include file tracking, each included file will send a debug message when it is included.
Parameters: None.

`Set_Debug(Bool)`. Activate or deactivate the debugging macros.
Parameters:

- `Bool` = A boolean (true/false) value.

`Debug_Message(Str)`. If debugging, sends the message to the debug stream.
Parameters:

- `Str` = The desired message.

`Debug(Condition, Message)
Warning(Condition, Message)
Error(Condition, Message)`
These macros send a message to the #debug, #warning, and #error streams depending on a given condition. They are just a shortcut for an `#if()...#end` block, intended to make scenes easier to read.
Parameters:

- `Condition` = Any boolean expression.
- `Message` = The message to be sent if Condition evaluates as "true".